﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using System.Windows.Controls.Extend;


namespace SLPivotTableGrid
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            // generate a sample data
            ObservableCollection<PivotGridSampleItem> source = new ObservableCollection<PivotGridSampleItem>();
            DateTime nextMonday = DateTime.Now.AddDays((double)((8 - (int)DateTime.Now.DayOfWeek) % 7));
            for (int i = 0; i < 10; i++)
            {
                source.Add(new PivotGridSampleItem()
                {
                    Date = nextMonday.AddDays(28 * i),
                    RowA = "RowA_" + i,
                    RowB = new Random(i).Next(100, 9999),
                    RowC = Convert.ToBoolean(i % 2)
                });
            }

            // create a PivotDataGrid
            PivotDataGrid pGrid = new PivotDataGrid();
            pGrid.HeaderProperty = "Date";
            pGrid.ItemsSource = source;
            pGrid.Loaded += (se, ev) =>
            {
                foreach (DataGridColumn dgc in pGrid.Columns)
                {
                    dgc.Header = DateTime.Parse(dgc.Header.ToString()).ToString("yyyy-MM-dd");
                }
            };
            Grid.SetColumn(pGrid, 0);
            this.LayoutRoot.Children.Add(pGrid);

            // create a common DataGrid
            DataGrid dg = new DataGrid();
            dg.ItemsSource = source;
            Grid.SetColumn(dg, 1);
            this.LayoutRoot.Children.Add(dg);
        }
    }

    public class PivotGridSampleItem
    {
        public DateTime Date { get; set; }
        public string RowA { get; set; }
        public int RowB { get; set; }
        public bool RowC { get; set; }
    }


}
